import React, { useEffect, useState } from 'react';
import { AMapScene } from '@wisdom-map/Amap';
import { connect } from 'react-redux';
import mapSetting from './config';
import { store } from 'microser-data';

const config = {
    type: '2d',
  viewingMode: 'global',
  proxyUrl: '',
  environment: {
    starsEnabled: true,
  },
  constraints: {
    rotationEnabled: false,
    tilt: {
      max: 179.5,
    },
    collision: {
      enabled: false,
    },
  },
  viewpoint: {
    camera: {
      position: {
        x: '0.0',
        y: '0.0',
        z: '0.0',
        spatialReference: {
          wkid: '4526.0',
        },
      },
      heading: '0.0',
      tilt: '0.0',
      fov: '55.0',
    },
    targetGeometry: {
      xmin: '0.0',
      ymin: '0.0',
      xmax: '0.0',
      ymax: '0.0',
      spatialReference: {
        wkid: '4526.0',
      },
    },
  },
  basemaps: [
    {
      id: '高德地形',
      title: '高德地形',
      thumbnailUrl: 'assets/images/thumbnail/thumbnail_2.jpg',
      baseLayers: [
        {
          title: '高德地形',
          icon: '',
          layerType: 'amap-v',
          url: '',
          opacity: '1.0',
          visible: false,
          useProxy: false,
          proxyUrl: '',
          style: '',
          extent: '',
          baseLayer: '',
          resolution: '',
          origin: '',
          tileMatrix: '',
          levelStart: '',
          levelEnd: '',
          levelEndEnlarge: false,
        },
      ],
    },
  ],
  layers: [
    {
      id: 'lihonglin',
      title: 'lihonglin',
      icon: '',
      layerType: 'PipenetLayer',
      url: 'CityInterface/rest/services/MapServer.svc/lihonglin',
      opacity: '1.0',
      showLegend: true,
      visible: true,
      useProxy: true,
      proxyUrl: '',
      extent: '13196168.016289838,4814326.171369759,13232913.305918653,4843281.459597265',
      baseLayer: '',
      resolution: '',
      origin: '',
      tileMatrix: '',
      wmtsUrl: '',
      schemename: '1212',
      roles: '',
      areaName: '滦州市',
      boundColor: '#86c8f8',
      backgroundColor: '#000000',
      boundWidth: '10px',
      backgroundOpacity: '0.6',
      basemaps: [
        {
          id: '高德地形',
          title: '高德地形',
          thumbnailUrl: 'assets/images/thumbnail/thumbnail_2.jpg',
          baseLayers: [
            {
              title: '高德地形',
              icon: '',
              layerType: 'amap-v',
              url: '',
              opacity: '1.0',
              visible: false,
              useProxy: false,
              proxyUrl: '',
              style: '',
              extent: '',
              baseLayer: '',
              resolution: '',
              origin: '',
              tileMatrix: '',
              levelStart: '',
              levelEnd: '',
              levelEndEnlarge: false,
            },
          ],
        },
      ],
      levelStart: '',
    },
  ],
  areasettings: {
    boundColor: '#86c8f8',
    boundWidth: '10px',
    backgroundColor: '#000000',
    backgroundOpacity: '0.6',
    areaName: '滦州市',
    extent: '13196168.016289838,4814326.171369759,13232913.305918653,4843281.459597265',
    rings: '',
  },

}
const AMap = props => {
  const getMap = (obj, current) => {
    // setAMapObj(obj);
    // setCurrentMapObj(current);
  };
  return (
    <>
     <AMapScene
            config={config}
            getMapInfo={getMap}
            theme={mapSetting.mapSettings.mapStyle}
          /> 
    </>
  );
};




// const mapStateToProps = state => ({
//   view: state.getIn(['global', 'amapView']),
// });

export default AMap;
// export default Topic;
